org.apache.calcite.avatica.proto

## Interface Common.AvaticaParameterOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.AvaticaParameter, Common.AvaticaParameter.Builder

Enclosing class:
  Common

    public static interface Common.AvaticaParameterOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`String` `getClassName()` `optional string class_name = 6;`
`com.google.protobuf.ByteString` `getClassNameBytes()` `optional string class_name = 6;`
`String` `getName()` `optional string name = 7;`
`com.google.protobuf.ByteString` `getNameBytes()` `optional string name = 7;`
`int` `getParameterType()` `optional uint32 parameter_type = 4;`
`int` `getPrecision()` `optional uint32 precision = 2;`
`int` `getScale()` `optional uint32 scale = 3;`
`boolean` `getSigned()` `optional bool signed = 1;`
`String` `getTypeName()` `optional string type_name = 5;`
`com.google.protobuf.ByteString` `getTypeNameBytes()` `optional string type_name = 5;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getSigned

    boolean getSigned()

`optional bool signed = 1;`

#### getPrecision

    int getPrecision()

`optional uint32 precision = 2;`

#### getScale

    int getScale()

`optional uint32 scale = 3;`

#### getParameterType

    int getParameterType()

`optional uint32 parameter_type = 4;`

#### getTypeName

    String getTypeName()

`optional string type_name = 5;`

#### getTypeNameBytes

    com.google.protobuf.ByteString getTypeNameBytes()

`optional string type_name = 5;`

#### getClassName

    String getClassName()

`optional string class_name = 6;`

#### getClassNameBytes

    com.google.protobuf.ByteString getClassNameBytes()

`optional string class_name = 6;`

#### getName

    String getName()

`optional string name = 7;`

#### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

`optional string name = 7;`